<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.tjzhxx.union">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.FLASHLIGHT" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <!--定位权限-->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />

    <application
        android:name=".system.MyApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true">
        <activity
            android:name=".WellcomActivity"
            android:exported="true"
            android:theme="@style/SplashTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".MainActivity" />
        <activity android:name=".system.WebviewActivity" />
        <activity android:name=".activity.NewListActivity" />
        <activity android:name=".activity.SignatureSureActivity" />
        <activity android:name=".activity.AuthenticationActivity" />
        <activity android:name=".activity.LoginActivity" />
        <activity android:name=".activity.PhotoPreviewActivity" />
        <activity android:name=".activity.DataEditeXcjzActivity" />
        <activity android:name=".activity.DataEditeZywwActivity" />
        <activity android:name=".activity.DataEditeWzzjActivity" />
        <activity android:name=".activity.DataEditeJtccActivity" />
        <activity android:name=".activity.DataEditeYwsgActivity" />
        <activity android:name=".activity.DataEditeDbjzActivity" />
        <activity android:name=".activity.PayActivity" />
        <activity android:name=".activity.SetActivity" />
        <activity android:name=".activity.HomeGuanaiActivity" />
        <activity android:name=".activity.PolicyListActivity" />
        <activity android:name=".activity.PromptActivity" />
        <activity android:name=".activity.PaySuccessActivity" />
        <activity android:name=".activity.AddressMapActivity" />
        <activity android:name=".activity.WelfareListActivity" />
        <activity android:name=".activity.WelfareSignatureSureActivity" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.tjzhxx.union.FileProvider"
            android:exported="false"
            android:grantUriPermissions="true"
            tools:replace="android:authorities">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths"
                tools:replace="android:resource" />
        </provider>
        <!-- wx pay begin -->
        <activity
            android:name=".wxapi.WXPayEntryActivity"
            android:exported="true"
            android:launchMode="singleTop" />
        <!-- wx pay end -->
        <!-- 设置key -->
        <meta-data
            android:name="com.amap.api.v2.apikey"
            android:value="4ab5367cc330bb659dd96c523a271a7b" />
    </application>

</manifest>